## DMS UIM Unblock PIN

DMS UIM Unblock PIN

## Functions

QmiMessageDmsUimUnblockPinInput * | qmi_message_dms_uim_unblock_pin_input_new ()
QmiMessageDmsUimUnblockPinInput * | qmi_message_dms_uim_unblock_pin_input_ref ()
void | qmi_message_dms_uim_unblock_pin_input_unref ()
gboolean | qmi_message_dms_uim_unblock_pin_input_get_info ()
gboolean | qmi_message_dms_uim_unblock_pin_input_set_info ()
QmiMessageDmsUimUnblockPinOutput * | qmi_message_dms_uim_unblock_pin_output_ref ()
void | qmi_message_dms_uim_unblock_pin_output_unref ()
gboolean | qmi_message_dms_uim_unblock_pin_output_get_result ()
gboolean | qmi_message_dms_uim_unblock_pin_output_get_pin_retries_status ()
void | qmi_client_dms_uim_unblock_pin ()
QmiMessageDmsUimUnblockPinOutput * | qmi_client_dms_uim_unblock_pin_finish ()

## Types and Values

| QmiMessageDmsUimUnblockPinInput
| QmiMessageDmsUimUnblockPinOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageDmsUimUnblockPinInput
        ╰── QmiMessageDmsUimUnblockPinOutput

## Description

## Functions

### qmi_message_dms_uim_unblock_pin_input_new ()

    QmiMessageDmsUimUnblockPinInput *
    qmi_message_dms_uim_unblock_pin_input_new
                                   (void);

Allocates a new QmiMessageDmsUimUnblockPinInput.

#### Returns

the newly created QmiMessageDmsUimUnblockPinInput. The returned value should be freed with `qmi_message_dms_uim_unblock_pin_input_unref()`.

Since: 1.0

### qmi_message_dms_uim_unblock_pin_input_ref ()

    QmiMessageDmsUimUnblockPinInput *
    qmi_message_dms_uim_unblock_pin_input_ref
                                   (QmiMessageDmsUimUnblockPinInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDmsUimUnblockPinInput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_dms_uim_unblock_pin_input_unref ()

    void
    qmi_message_dms_uim_unblock_pin_input_unref
                                   (QmiMessageDmsUimUnblockPinInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDmsUimUnblockPinInput. |

Since: 1.0

### qmi_message_dms_uim_unblock_pin_input_get_info ()

    gboolean
    qmi_message_dms_uim_unblock_pin_input_get_info
                                   (QmiMessageDmsUimUnblockPinInput *self,
                                    QmiDmsUimPinId *value_info_pin_id,
                                    const gchar **value_info_puk,
                                    const gchar **value_info_new_pin,
                                    GError **error);

Get the 'Info' field from `self` .

#### Parameters

self | a QmiMessageDmsUimUnblockPinInput. |
value_info_pin_id | a placeholder for the output QmiDmsUimPinId, or `NULL` if not required. |
value_info_puk | a placeholder for the output constant string, or `NULL` if not required. |
value_info_new_pin | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_dms_uim_unblock_pin_input_set_info ()

    gboolean
    qmi_message_dms_uim_unblock_pin_input_set_info
                                   (QmiMessageDmsUimUnblockPinInput *self,
                                    QmiDmsUimPinId value_info_pin_id,
                                    const gchar *value_info_puk,
                                    const gchar *value_info_new_pin,
                                    GError **error);

Set the 'Info' field in the message.

#### Parameters

self | a QmiMessageDmsUimUnblockPinInput. |
value_info_pin_id | a QmiDmsUimPinId. |
value_info_puk | a constant string. |
value_info_new_pin | a constant string. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_dms_uim_unblock_pin_output_ref ()

    QmiMessageDmsUimUnblockPinOutput *
    qmi_message_dms_uim_unblock_pin_output_ref
                                   (QmiMessageDmsUimUnblockPinOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDmsUimUnblockPinOutput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_dms_uim_unblock_pin_output_unref ()

    void
    qmi_message_dms_uim_unblock_pin_output_unref
                                   (QmiMessageDmsUimUnblockPinOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDmsUimUnblockPinOutput. |

Since: 1.0

### qmi_message_dms_uim_unblock_pin_output_get_result ()

    gboolean
    qmi_message_dms_uim_unblock_pin_output_get_result
                                   (QmiMessageDmsUimUnblockPinOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageDmsUimUnblockPinOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.0

### qmi_message_dms_uim_unblock_pin_output_get_pin_retries_status ()

    gboolean
    qmi_message_dms_uim_unblock_pin_output_get_pin_retries_status
                                   (QmiMessageDmsUimUnblockPinOutput *self,
                                    guint8 *value_pin_retries_status_verify_retries_left,
                                    guint8 *value_pin_retries_status_unblock_retries_left,
                                    GError **error);

Get the 'Pin Retries Status' field from `self` .

#### Parameters

self | a QmiMessageDmsUimUnblockPinOutput. |
value_pin_retries_status_verify_retries_left | a placeholder for the output guint8, or `NULL` if not required. |
value_pin_retries_status_unblock_retries_left | a placeholder for the output guint8, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_client_dms_uim_unblock_pin ()

    void
    qmi_client_dms_uim_unblock_pin (QmiClientDms *self,
                                    QmiMessageDmsUimUnblockPinInput *input,
                                    guint timeout,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously sends a UIM Unblock PIN request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_dms_uim_unblock_pin_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientDms. |
input | a QmiMessageDmsUimUnblockPinInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.0

### qmi_client_dms_uim_unblock_pin_finish ()

    QmiMessageDmsUimUnblockPinOutput *
    qmi_client_dms_uim_unblock_pin_finish (QmiClientDms *self,
                                           GAsyncResult *res,
                                           GError **error);

Finishes an async operation started with `qmi_client_dms_uim_unblock_pin()`.

#### Parameters

self | a QmiClientDms. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_dms_uim_unblock_pin()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageDmsUimUnblockPinOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_dms_uim_unblock_pin_output_unref()`.

Since: 1.0

## Types and Values

### QmiMessageDmsUimUnblockPinInput

    typedef struct _QmiMessageDmsUimUnblockPinInput QmiMessageDmsUimUnblockPinInput;

The QmiMessageDmsUimUnblockPinInput structure contains private data and should only be accessed using the provided API.

Since: 1.0

### QmiMessageDmsUimUnblockPinOutput

    typedef struct _QmiMessageDmsUimUnblockPinOutput QmiMessageDmsUimUnblockPinOutput;

The QmiMessageDmsUimUnblockPinOutput structure contains private data and should only be accessed using the provided API.

Since: 1.0